# version::parse

Converts the specified string representation of a version to its Version equivalent.

### Usage

`Version version::parse(version)`

### Parameters

Name | Type | Description
--- | --- | ---
version | string | A string containing the major, minor, build, and revision numbers, where each number is delimited with a period character ('.').

### Return Value

A Version instance representing the specified String.

### Exceptions

The function will fail in any of the following circumstances:

- version has fewer than two components or more than four components.
- A major, minor, build, or revision component is less than zero.
- At least one component of version does not parse to a decimal integer.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)